Makes run_tests.sh exit code match the nosetests exit value.
This will simply make the script exit with the same exit value
given by the run_tests function, addressing bug #1185755.
Change-Id: Iac1a37169db4e29d845c77d87a2df1fa07b201e1
Fixes: bug #1185755
diff --git a/run_tests.sh b/run_tests.sh
index d5b2494..366564e 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -166,11 +166,14 @@
fi
run_tests
+retval=$?
if [ $nova_coverage -eq 1 ]; then
run_coverage_report
fi
if [ -z "$noseargs" ]; then
- run_pep8
+ run_pep8
fi
+
+exit $retval